Subject: bug#21301: 25.0.50; Emacs Trunk: Fringe bitmaps confuse foreground/background colors.

From: Keith David Bershatsky <[email-masked]>
Date: Fri, 28 Aug 2015 21:41:25 -0700

I have progress to report in terms of tracking down this bug . . .

Using the layman's method of pinpointing the date that a bug first appeared (i.e., by downloading and try various nightly builds), I determined that bug #21301 started on May 16, 2015.

The bug is NOT present in the build on May 15, 2015 or prior to that date:

Emacs-2015-05-15_01-40-46-ca6a777-universal.app

The bug begins on May 16, 2015 and continues to the present date:

Emacs-2015-05-16_01-40-57-e85053f-universal.app

I also noticed tonight that the wrong direction arrow also appears as a result of the bug -- i.e., instead of a left-arrow with a foreground of red and a white background; it is a right-arrow with a background of red and a white foreground using the test devised by Eli:

(add-text-properties 141 142 '(display (left-fringe left-arrow warning)))

I am so happy we have pinpointed the exact date the bug first appeared.

Thanks,

Keith